%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Module-ScanDeps
Version:       1.24
Release:       1mamba
Summary:       Module::ScanDeps - Recursively scan Perl code for dependencies 
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.cpan.org
Source:        http://search.cpan.org/CPAN/authors/id/R/RS/RSCHUPP/Module-ScanDeps-%{version}.tar.gz
License:       Artistic, GPL
Requires:      perl >= %perl_major_ver
## AUTOBUILDREQ-BEGIN
BuildRequires: libperl
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: perl-devel >= %perl_major_ver
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Module::ScanDeps - Recursively scan Perl code for dependencies.

%prep
%setup -q -n Module-ScanDeps-%{version}

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make
%if "%{_host_cpu}" != "arm"
%make test
%endif

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl
packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%buildroot,,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
rm -f .packlist

%files -f .packlist
%defattr(-,root,root)

%changelog
* Wed Nov 15 2017 Automatic Build System <autodist@mambasoft.it> 1.24-1mamba
- automatic update by autodist

* Sun Nov 13 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 1.22-1mamba
- update to 1.22

* Mon Nov 12 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.97-2mamba
- perl 5.16 mass rebuild

* Mon Apr 26 2010 Automatic Build System <autodist@mambasoft.it> 0.97-1mamba
- automatic update by autodist

* Sat Jan 23 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 0.96-1mamba
- package created by autospec
